package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel("货品详情")
public class DrpMaterialTenderMaterialDetail {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品")
   private String materialName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别")
   private String categoryName;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("说明")
   private String remark;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("预算单价")
   private Long budgetUnitPrice;
   @ApiModelProperty("规格")
   private String size;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getBudgetUnitPrice() {
      return this.budgetUnitPrice;
   }

   public String getSize() {
      return this.size;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setBudgetUnitPrice(final Long budgetUnitPrice) {
      this.budgetUnitPrice = budgetUnitPrice;
   }

   public void setSize(final String size) {
      this.size = size;
   }
}
